package bitmap

import (
	"testing"
)

/*
@Author: by LH
@date:  2020/7/21
@function:
*/

func TestBitMap(t *testing.T) {
	var b BitMap

	b.SetBit(1)
	b.SetBit(3)
	b.SetBit(5)

	if !b.IsBit(1) || !b.IsBit(3) || !b.IsBit(5) {
		t.Fatal("b 1 3 5 should be true")
	}

	if b.Count() != 3 {
		t.Fatal("b length should be 3")
	}

	b.Base64String()
	c, e := NewBitMapFromBase64String(b.Base64String())
	if e != nil {
		t.Fatal(e)
	}
	if !c.IsBit(1) || !c.IsBit(3) || !c.IsBit(5) {
		t.Fatal("c 1 3 5 should be true")
	}

	if c.Count() != 3 {
		t.Fatal("c length should be 3")
	}

}
